package com.zd.system.api.domain;

import java.util.List;
import java.util.Optional;

public class ParamVo {
    private String tid;
    private Integer vol;
    private List<UrlVo> urls;

    public String getTid() {
        return tid;
    }

    public void setTid(String tid) {
        this.tid = tid;
    }

    public Integer getVol() {
        return vol;
    }

    public void setVol(Integer vol) {
        this.vol = Optional.ofNullable(vol).orElse(80);
    }

    public List<UrlVo> getUrls() {
        return urls;
    }

    public void setUrls(List<UrlVo> urls) {
        this.urls = urls;
    }
}
